Bug 97016 - Must login twice after a reboot to get sound working.
Must login twice after a reboot to get sound working.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-08 19:05 EDT by d young
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d young 2003-06-08 19:05:57 EDT
Description of problem:
After a reboot the sound doesn't work on the first login. When I logout and
login again sound starts working ok.  Makes no difference if I use root or
regular account to login, still requires two logins to make sound work.


Version-Release number of selected component (if applicable):
sndconfig v0.69


How reproducible:
Always after a reboot.


Steps to Reproduce:
1.Reboot system
2.
3.
    
Actual results:
No sound


Expected results:
Sound


Additional info:
Current modules.conf contents...

alias parport_lowlevel parport_pc
alias eth0 tulip
alias usb-controller usb-ohci
alias usb-controller1 usb-uhci
alias sound-service-0-0  snd-mixer-oss
alias sound-service-0-1  snd-seq-oss
alias sound-service-0-3  snd-pcm-oss
alias sound-service-0-8  snd-seq-oss
alias sound-service-0-12 snd-pcm-oss
alias sound-slot-0 es1371
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :

Here's what lsmod shows...

Module                  Size  Used by    Not tainted
sr_mod                 18200   0  (autoclean)
es1371                 30856   0  (autoclean)
gameport                3396   0  (autoclean) [es1371]
ac97_codec             14632   0  (autoclean) [es1371]
soundcore               6500   4  (autoclean) [es1371]
autofs                 13332   0  (autoclean) (unused)
tulip                  43840   1
ipt_REJECT              4024   6  (autoclean)
iptable_filter          2412   1  (autoclean)
ip_tables              15096   2  [ipt_REJECT iptable_filter]
ide-scsi               12176   0
scsi_mod              107640   2  [sr_mod ide-scsi]
ide-cd                 35808   0
cdrom                  33728   0  [sr_mod ide-cd]
mousedev                5588   1
keybdev                 2976   0  (unused)
hid                    22340   0  (unused)
input                   5920   0  [mousedev keybdev hid]
usb-uhci               26412   0  (unused)
usb-ohci               21608   0  (unused)
usbcore                78944   1  [hid usb-uhci usb-ohci]
ext3                   70880   2
jbd                    51988   2  [ext3]

Here's my kernel info..
Linux sparky 2.4.20-18.8 #1 Thu May 29 07:40:27 EDT 2003 i686 i686 i386 GNU/Linux
Comment 1 Bill Nottingham 2003-06-09 00:12:25 EDT
The snd-<foo>-oss aliases are somewhat irrelevant, as you aren't using ALSA.

What sort of messages do you get related to the sound module in 'dmesg'?
Comment 2 d young 2003-06-09 10:45:12 EDT
I reviewed the dmesg log looking for any messages related to sound module but
couldn't find any.  (Let me know if you want a copy of the dmesg log)  But when
I looked in the messages log I found these references to sound modules in the
last 60 lines...
...
Jun  8 15:43:50 sparky rhnsd[1035]: Red Hat Network Services Daemon starting up.
Jun  8 15:43:50 sparky rhnsd: rhnsd startup succeeded
Jun  8 15:44:31 sparky gdm(pam_unix)[1093]: session opened for user doug by (uid=0)
Jun  8 15:44:43 sparky kernel: es1371: version v0.32 time 07:47:48 May 29 2003
Jun  8 15:44:43 sparky kernel: PCI: Found IRQ 5 for device 00:12.0
Jun  8 15:44:43 sparky kernel: PCI: Sharing IRQ 5 with 00:0f.0
Jun  8 15:44:43 sparky kernel: es1371: found chip, vendor id 0x1274 device id
0x5880 revision 0x02
Jun  8 15:44:43 sparky kernel: es1371: found es1371 rev 2 at io 0xcc00 irq 5
Jun  8 15:44:43 sparky kernel: es1371: features: joystick 0x0
Jun  8 15:44:43 sparky kernel: ac97_codec: AC97 Audio codec, id: CRY20 (Cirrus
Logic CS4297A rev B)
Jun  8 15:44:43 sparky modprobe: modprobe: Can't locate module sound-service-0-0
Jun  8 15:44:43 sparky modprobe: modprobe: Can't locate module sound-slot-1
Jun  8 15:44:43 sparky modprobe: modprobe: Can't locate module sound-service-1-0
Jun  8 15:44:43 sparky modprobe: modprobe: Can't locate module sound-slot-1
Jun  8 15:44:43 sparky modprobe: modprobe: Can't locate module sound-service-1-0
Jun  8 15:44:49 sparky kernel: Attached scsi CD-ROM sr0 at scsi0, channel 0, id
0, lun 0
Jun  8 15:44:49 sparky kernel: sr0: scsi3-mmc drive: 40x/40x writer cd/rw
xa/form2 cdda tray
Jun  8 15:44:54 sparky gconfd (doug-1249): starting (version 1.2.1), pid 1249
user 'doug'
Jun  8 15:44:54 sparky gconfd (doug-1249): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only config source at
position 0
Jun  8 15:44:54 sparky gconfd (doug-1249): Resolved address
"xml:readwrite:/home/doug/.gconf" to a writable config source at position 1
Jun  8 15:44:54 sparky gconfd (doug-1249): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only config source at
position 2
Jun  8 15:44:59 sparky gconfd (doug-1249): Received signal 1, shutting down cleanly
Jun  8 15:44:59 sparky gconfd (doug-1249): Exiting
Jun  8 15:44:59 sparky gdm(pam_unix)[1093]: session closed for user doug
Jun  8 15:45:00 sparky gdm[1093]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Jun  8 15:45:06 sparky gdm(pam_unix)[1262]: session opened for user doug by (uid=0)
Jun  8 15:45:09 sparky modprobe: modprobe: Can't locate module sound-slot-1
Jun  8 15:45:09 sparky modprobe: modprobe: Can't locate module sound-service-1-0
Jun  8 15:45:09 sparky modprobe: modprobe: Can't locate module sound-slot-1
Jun  8 15:45:09 sparky modprobe: modprobe: Can't locate module sound-service-1-0
Jun  8 15:45:13 sparky gconfd (doug-1412): starting (version 1.2.1), pid 1412
user 'doug'
Jun  8 15:45:13 sparky gconfd (doug-1412): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only config source at
position 0
Jun  8 15:45:13 sparky gconfd (doug-1412): Resolved address
"xml:readwrite:/home/doug/.gconf" to a writable config source at position 1
Jun  8 15:45:13 sparky gconfd (doug-1412): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only config source at
position 2
Jun  8 15:45:56 sparky modprobe: modprobe: Can't locate module sound-slot-1
Jun  8 15:45:56 sparky modprobe: modprobe: Can't locate module sound-service-1-0
Jun  8 15:45:56 sparky modprobe: modprobe: Can't locate module sound-slot-1
Jun  8 15:45:56 sparky modprobe: modprobe: Can't locate module sound-service-1-0
Jun  8 15:46:34 sparky modprobe: modprobe: Can't locate module sound-slot-1
Jun  8 15:46:34 sparky modprobe: modprobe: Can't locate module sound-service-1-0
Jun  8 15:46:34 sparky modprobe: modprobe: Can't locate module sound-slot-1
Jun  8 15:46:34 sparky modprobe: modprobe: Can't locate module sound-service-1-0
Jun  8 16:02:22 sparky su(pam_unix)[1474]: session opened for user root by
doug(uid=500)
Comment 3 Bill Nottingham 2003-06-12 12:44:43 EDT
Have you modified /etc/security/console.perms?
Comment 4 d young 2003-06-12 23:28:51 EDT
I have not modified console.perms.
My version is 2453 bytes, dated Feb 6 18:15.
Doug
Comment 5 d young 2003-06-29 01:05:27 EDT
Can you provide me anymore information regarding this problem.  I would really
like to sort this out.  
Thanks,
Doug
Comment 6 Bugzilla owner 2004-09-30 11:41:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.